# png::streaming_base< pixel, info_holder > Class Template Reference

A base class template for consumer and generator classes. Provides default `reset()` method implementation as well as `info_holder` policy. More...

`#include <streaming_base.hpp>`

Inheritance diagram for png::streaming_base< pixel, info_holder >:

List of all members.

## Public Types

typedef pixel_traits< pixel > | traits

## Public Member Functions

| streaming_base (image_info &info)
| streaming_base (size_t width, size_t height)
image_info const & | get_info () const

## Protected Member Functions

void | reset (size_t)
image_info & | get_info ()

## Protected Attributes

info_holder | m_info_holder

## Detailed Description

### template<typename pixel, class info_holder>
class png::streaming_base< pixel, info_holder >

A base class template for consumer and generator classes. Provides default `reset()` method implementation as well as `info_holder` policy.

## Member Typedef Documentation

template<typename pixel, class info_holder>

typedef pixel_traits< pixel > png::streaming_base< pixel, info_holder >::traits

Reimplemented in png::consumer< pixel, pixcon, info_holder, interlacing_supported >, and png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >.

## Constructor & Destructor Documentation

template<typename pixel, class info_holder>

png::streaming_base< pixel, info_holder >::streaming_base | ( | image_info & | info ) | `[inline, explicit]`

template<typename pixel, class info_holder>

png::streaming_base< pixel, info_holder >::streaming_base | ( | size_t | width,
|  | size_t | height
| ) |  | `[inline]`

## Member Function Documentation

template<typename pixel, class info_holder>

image_info const& png::streaming_base< pixel, info_holder >::get_info | ( | ) | const`[inline]`

Referenced by png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >::read(), png::streaming_base< pixel, image_info_ref_holder >::streaming_base(), and png::generator< pixel, pixel_generator, image_info_ref_holder, true >::write().

template<typename pixel, class info_holder>

void png::streaming_base< pixel, info_holder >::reset | ( | size_t | ) | `[inline, protected]`

template<typename pixel, class info_holder>

image_info& png::streaming_base< pixel, info_holder >::get_info | ( | ) | `[inline, protected]`

## Member Data Documentation

template<typename pixel, class info_holder>

info_holder png::streaming_base< pixel, info_holder >::m_info_holder`[protected]`

Referenced by png::streaming_base< pixel, image_info_ref_holder >::get_info().

The documentation for this class was generated from the following file:

- streaming_base.hpp